{% set CodiceModulo = "DIC-EMI-EDI" %}
{% set Urn = "document:c_h620:cantieri.edili;dichiarazione" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"CANT-EDI-PLA",
		"urn":"document:c_h620:cantieri.edili;planimetria",
		"descrizione_tabella_allegati":"planimetria dell’area del cantiere con evidenziata la posizione delle sorgenti sonore e degli edifici esposti al rumore",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"",
		"filename":"planimetria area",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"true",
		"dynamic_check":"true",
		"tipo":"allegato",
		"tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
		},
	{ "codice":"CANT-EDI-SCHE",
		"urn":"document:c_h620:cantieri.edili;schede",
		"descrizione_tabella_allegati":"schede tecniche delle attrezzature impiegate",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"",
		"filename":"schede tecniche attrezzatura",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"true",
		"dynamic_check":"true",
		"tipo":"allegato",
		"tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
		},
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"copia del documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
	}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Dichiarazione di rispetto dei limiti, orari e condizioni per attività rumorose di cantieri edili, stradali e assimilabili"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|24/08/2021"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Dichiarazione di rispetto dei limiti, orari e condizioni per attività rumorose di cantieri edili, stradali e assimilabili {% endblock title %}

{% block content %}
 <globo_fondo_pagina areaheight="150" scope="3">
 {{ utils.firma() }}
</globo_fondo_pagina>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - rispetto limiti, orari e condizioni attività rumorose cantieri edili, stradali e assimilabili'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Dichiarazione di rispetto dei limiti, orari e condizioni per attività rumorose di cantieri edili, stradali e assimilabili
</h1>

{{ anagrafica.societa("Titolare", "Il sottoscritto", ["Persona fisica", "Titolare", "Legale rappresentante"], "Richiedente", "visibility:visibility", "cursor:pointer", "mail_ordinaria", "false", "false") }}
{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}
{{ utils.Dichiara_445() }}

<p class="Modulo">
    che verranno rispettati i limiti, gli orari e le condizioni del regolamento comunale per il controllo delle attività rumorose in relazione al cantiere avente le seguenti caratteristiche 
</p>

{{ immobili.immobile_toponomastica("Immobile", "ubicazione del cantiere", "Localizzazione intervento", "visibility:visibility", "visibility:hidden", "cursor:default", "false") }}

{{ anagrafica.cognome_nome("AventeTitolo1", "committente del cantiere", "Richiedente", "visibility:visibility", "cursor:pointer", "visibility:visibility") }}

<globo_salto_pagina></globo_salto_pagina>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella">
            avviato con pratica edilizia (DIA/SCIA/CIL) numero
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
            Numero pratica edilizia
        </p>
      </td>
    </tr>
    <tr mandatory="true">
      <td>
        <input class="inputNormal" id="Parametri_NumeroPraticaEdilizia" name="Parametri_NumeroPraticaEdilizia" style="width: 100%;" label="Numero pratica edilizia" />
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
            per lavori che avranno la seguente durata (la durata non può sueperare i 6 mesi)
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
            Data inizio lavori
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Data fine lavori
        </p>
      </td>
    </tr>
    <tr mandatory="true">
      <td>
        <input class="inputNormal" id="Parametri_DataInizioLavori" name="Parametri_DataInizioLavori" style="width: 100%;" label="Data inizio lavori" format="date" />
      </td>
      <td>
        <input class="inputNormal" id="Parametri_DataFineLavori" name="Parametri_DataFineLavori" style="width: 100%;" label="Data fine lavori" format="date"/>
      </td>
    </tr>
  </tbody>
</table>


<p class="Modulo">
    in particolare dichiara di rispettare
</p>

<table class="Modulo" style="border: 0px;">
  <tbody>    
       {% set dic = [
                "gli orari (dalle 08:00 alle 13:00 e dalle 14:30 alle 19:00 oppure dalle 09:00 alle 13:00 e dalle 15:00 alle 18:00 se all’interno di fabbricati occupati da abitazioni o uffici, salvo applicazione di regolamenti condominiali più restrittivi)",
                "i limiti acustici (riferiti ad un tempo di misura di almeno 10 minuti): <br>
                65 dB(A) In zona classe I <br>
                70 dB(A) In zona classe II, III, IV, V <br>
                75 dB(A) In zona classe VI",
                "le distanze tra cantiere e siti sensibili (il cantiere si trova a non meno di 100 metri da ospedali, case di cura case di riposo o scuole)"
      ]%}
      {% for dichiara in dic %}
      <tr style="border: 0px;">
        <td style="vertical-align: top; width: 4%;border: 0px;" >        
          <input id="Dichiara{{ loop.index }}" name="Dichiara{{ loop.index }}" type="checkbox" value="SI" checked="checked" dynamic_check="true"/>  
        </td>
        <td style="border: 0px;"><p>{{ dichiara|safe }}</p></td>
      </tr>
      {% endfor %}
  </tbody>
</table>

<h3 class="Modulo">
  DICHIARA INOLTRE
</h3>

<p class="Modulo">
  che l'attività consisterà in
</p>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
            Descrizione delle principali fasi operative
        </p>
      </td>
    </tr>
    <tr mandatory="true">
      <td>
        <input class="inputNormal" id="Parametri_DescrizioneFasiOperative" name="Parametri_DescrizioneFasiOperative" style="width: 100%;" label="Descrizione delle principali fasi operative" />
      </td>
    </tr>
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="4">
        <p class="Labeltabella">
            prevederà l’utilizzo delle seguenti attrezzature
        </p>
      </td>
    </tr>
    {% set num=7 %}
    {% set campi=[
        {
        "titolo":"Tipologia, marca e modello",
        "label":"Tipologia, marca e modello",
        "id":"Parametri_TipoMarcaModello",
        "format":"",
        "carattere_speciale":"",
        "width":"25%",
        "options":""
        },  
          {
          "titolo":"Anno di omologazione",
          "label":"Anno di omologazione",
          "id":"Parametri_AnnoOmologazione",
          "format":"number",
          "carattere_speciale":"",
          "width":"25%",
          "options":""
          },  
            {
            "titolo":"Potenza sonora dB",
            "label":"Potenza sonora dB",
            "id":"Parametri_PotenzaSonora",
            "format":"floating",
            "carattere_speciale":"A",
            "width":"25%",
            "options":""
            },  
              {
              "titolo":"Impiego giornaliero ore",
              "label":"Impiego giornaliero ore",
              "id":"Parametri_ImpiegoGiornaliero",
              "format":"",
              "carattere_speciale":"",
              "width":"",
              "options":""
              },  
    ]%}          
        {% for i in range(1, num) %}
          {% if loop.first %}  
              <tr class="Rigaintestazioneridotta" style="border:0px;">
                {% for campo in campi %}
                   <td {% if campo["width"]!='' %} style='width: {{ campo["width"] }};' {% endif %}>
                  <p class="Labelcella">
                    {{ campo["titolo"] }}
                  </p>
                </td>  
                {% endfor %}            
              </tr>        
          {% endif %}
        {% if loop.first %}<tr mandatory="true" style="border:0px;"> {% else %}<tr style="border:0px;">{% endif %}
           {% for campo in campi %}
              <td>
                {% if campo["carattere_speciale"]!=''%}<p>{% endif %}    
                  {% if campo["options"] == ''%}<input {% else %} <select {% endif %} style="width: {% if campo['carattere_speciale']!='' %}{{5+(campi|length*10)}}{% else %}100{% endif %}%;"  label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="inputNormal"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
                  {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
                {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</p>{% endif %}
              </td>      
            {% endfor %}  
        </tr>
      {% endfor %}
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td>
        <p class="Labeltabella">
            prevederà l’adozione delle seguenti misure tecnico-organizzative, al fine di minimizzare la rumorosità
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
            Descrizione misure tecnico-organizzative
        </p>
      </td>
    </tr>
    <tr mandatory="true">
      <td>
        <textarea class="inputNormal" id="Parametri_DescrizioneMisure" name="Parametri_DescrizioneMisure" style="width: 100%; height: 5cm;" label="Descrizione misure tecnico-organizzative"></textarea>
      </td>
    </tr>
  </tbody>
</table>

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazioneridotta">
   <td>
    <p class="Labelcella">
     Eventuali annotazioni
    </p>
   </td>
  </tr>
  <tr>
   <td>
    <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width:100%;height:5cm;"></textarea>
   </td>
  </tr>
 </tbody>
</table>
<globo_salto_pagina></globo_salto_pagina>
<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width:3%">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td>
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>


<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

  {{ utils.firma_hidden() }}
  <br/>

<p class="Modulo">
 <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
